class Player extends Phaser.Physics.Arcade.Sprite
{
    constructor(scene)    
    {
        super(scene, 300,200,'player');
        this.depth = 1;
        this.speed = 250;
        
        scene.add.existing(this);
        scene.physics.add.existing(this);
        this.setCollideWorldBounds(true);
        this.arrowKeys = scene.input.keyboard.addKeys('up,down,left,right');
        
    }
    
    move()
    {
        this.body.velocity.x=0;
        this.body.velocity.y=0;
        
        if (this.arrowKeys.up.isDown )
        {
            this.body.velocity.y = -this.speed;
        }
        
        if (this.arrowKeys.down.isDown)
        {
            this.body.velocity.y = this.speed;
        }
        
        if (this.arrowKeys.left.isDown)
        {
           this.body.velocity.x = -this.speed; 
        }
        
        if (this.arrowKeys.right.isDown)
        {
            this.body.velocity.x = this.speed;
        }
        
    }
}  